Skip to main content
POST
Update Parcel Status
The update status request is issued by the merchant to notify of a parcel’s status change. The notification is received by Global-e and handled asynchronously until the new parcel status is successfully updated. In case of a failure to update, the merchant will not be asked to retry.
If the status update to the new status requested by the merchant is not allowed, or if the parcel has not yet been created, manual intervention by Global-e will be required.

Prerequisites

When using this call for the Buy-Online-Pick-In-Store (BOPIS) procedure, the UpdateParcelStatus call is initiated by the merchant following the issue of the UpdateOrderDispatchV2 call.

Error codes

The following error code may be returned in the response.

Path Parameters

orderId
string
required

The Global-e order ID.

parcelCode
string
required

The parcel code for which a status update is required.

Body

application/json
merchantParcelStatusCode
string
required

Parcel status to be modified by the merchant.

Example:

"Delivered"

Response

200 - application/json

Status update accepted. Check the Success field; on failure, Error carries the message (and is omitted from the JSON when the call succeeds).

Success
boolean
required

Indicates if the call has succeeded. True — the status update was accepted. False — denotes an error or failure.

Error
string | null

Error message. Omitted from the response when the call succeeds.